<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/Commanders.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('Commanders_8hpp_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Commanders.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __Commanders_HPP__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __Commanders_HPP__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="Commanders_8h.html">Commanders.h</a>&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">typedef</span> void(*CommandersEventHandlerFunction)(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEvent, <span class="keywordtype">int</span> inData);</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classCommanders.html">   22</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCommanders.html">Commanders</a></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;{</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keyword">static</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> lastEventType;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">int</span> lastEventData;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keyword">static</span> uint8_t lastConfigAddress;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> StartStatusLed;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="keyword">static</span> CommandersEventHandlerFunction EventHandler;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classCommanders.html#a56f9821ce0a39115f26313cbc3fb0870">   33</a></span>&#160;    <span class="keyword">static</span> GPIO_pin_t <a class="code" href="classCommanders.html#a56f9821ce0a39115f26313cbc3fb0870">StatusLedPin</a>;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classCommanders.html#a8c5e99e96956bdbaf003b78355a6460b">   35</a></span>&#160;    <span class="keyword">static</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classCommanders.html#a8c5e99e96956bdbaf003b78355a6460b">BlinkDelay</a>;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="classCommanders.html#a2e7416f9f706ebccacefc4327d50fce4">   41</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classCommanders.html#a2e7416f9f706ebccacefc4327d50fce4">begin</a>(<span class="keywordtype">int</span> inStatusLedPin = -1, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> inBlinkDelay = 1000)</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    {</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_DEBUG_MODE</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        Serial.println(F(<span class="stringliteral">&quot;&quot;</span>));</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        Serial.println(F(<span class="stringliteral">&quot;Commanders V1.51.0&quot;</span>));</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        Serial.println(F(<span class="stringliteral">&quot;Developed by Thierry Paris.&quot;</span>));</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        Serial.println(F(<span class="stringliteral">&quot;(c) Locoduino 2016-2017&quot;</span>));</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        Serial.println(F(<span class="stringliteral">&quot;&quot;</span>));</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        Serial.println(F(<span class="stringliteral">&quot;*** Setup Commanders started.&quot;</span>));</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <span class="keywordflow">if</span> (inStatusLedPin != -1)</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        {</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;            StatusLedPin = Arduino_to_GPIO_pin(inStatusLedPin);</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;            pinMode2f(StatusLedPin, OUTPUT);</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;            BlinkDelay = inBlinkDelay;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        }</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    }</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classCommanders.html#a8fb31b11e8f389165cc61b1c8aed45f2">   65</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classCommanders.html#a8fb31b11e8f389165cc61b1c8aed45f2">begin</a>(CommandersEventHandlerFunction func, <span class="keywordtype">int</span> inStatusLedPin = -1, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> inBlinkDelay = 1000)</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    {</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        Commanders::EventHandler = func;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <a class="code" href="classCommanders.html#a2e7416f9f706ebccacefc4327d50fce4">begin</a>(inStatusLedPin, inBlinkDelay);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    }</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classCommanders.html#af717de804be2a30257ca52b987143cc3">loop</a>();</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="classCommanders.html#adfb7074f73b2259401dec5be4cfaa17d">   80</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">inline</span> <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> <a class="code" href="classCommanders.html#adfb7074f73b2259401dec5be4cfaa17d">GetLastEventType</a>() { <span class="keywordflow">return</span> lastEventType; }</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="classCommanders.html#a0187e8801676544eaa07439e3d2392ca">   84</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">inline</span> <span class="keywordtype">int</span> <a class="code" href="classCommanders.html#a0187e8801676544eaa07439e3d2392ca">GetLastEventData</a>() { <span class="keywordflow">return</span> lastEventData; }</div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="classCommanders.html#a5805415d6f7e358f1b26b34e59fe89ac">   89</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classCommanders.html#a5805415d6f7e358f1b26b34e59fe89ac">SetLastEventType</a>(<a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEvent) { lastEventType = inEvent; lastEventData = 0; }</div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="classCommanders.html#ac0885243a075244f75612900460d40ab">   93</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classCommanders.html#ac0885243a075244f75612900460d40ab">SetLastEventData</a>(<span class="keywordtype">int</span> inData) { lastEventData = inData; }</div><div class="line"><a name="l00098"></a><span class="lineno"><a class="line" href="classCommanders.html#a738b07e45ab42b267023aa41ced99794">   98</a></span>&#160;    <span class="keyword">static</span> <span class="keyword">inline</span> uint8_t <a class="code" href="classCommanders.html#a738b07e45ab42b267023aa41ced99794">GetLastConfigAddress</a>() { <span class="keywordflow">return</span> lastConfigAddress; }</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="classCommanders.html#a86d58bbfa5487810b14973c1eb5d75bd">StatusBlink</a>();</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classCommanders.html#a7adbe54da67e90e0d39b58d69ac3add0">RaiseEvent</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEvent = <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4c6e59b277bf1f4430a136faab150a61">COMMANDERS_EVENT_MOVEPOSITIONID</a>, <span class="keywordtype">int</span> inData = 0);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="preprocessor">#if defined(COMMANDERS_DEBUG_MODE) || defined(COMMANDERS_PRINT_COMMANDERS)</span></div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="classCommanders.html#a2153ff5a87528ef0701daa61cd8601a9">printEventMoveType</a>(<a class="code" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2ba">COMMANDERS_MOVE_TYPE</a> inMoveType);</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="classCommanders.html#af67a26985403e912486b851e3b44a6d6">printEventData</a>(<a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEventType, <span class="keywordtype">int</span> inEventData);</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="classCommanders.html#a5594e42de65bbf0bff7065c2eaaa3c7e">printEventType</a>(<a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEventType, <span class="keywordtype">bool</span> inDataFollow);</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="classCommanders.html#a4b8b1bb3a9cb5b419562ddca40471ab8">printEvent</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, <a class="code" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEventType, <span class="keywordtype">int</span> inEventData);</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="preprocessor">    #define COMMANDERS_PRINT_EVENT(id, type, data)      Commanders::printEvent(id, type, data);</span></div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="preprocessor">    #define COMMANDERS_PRINT_EVENT(id, type, data)</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_PRINT_COMMANDERS</span></div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="preprocessor">    #define PRINT_COMMANDERS()  Commanders::printCommanders();</span></div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="classCommanders.html#a9e4b17238d8bd80bc0813d82c4211cbc">printCommanders</a>();</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="preprocessor">    #define PRINT_COMMANDERS()</span></div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;};</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classCommanders_html_a9e4b17238d8bd80bc0813d82c4211cbc"><div class="ttname"><a href="classCommanders.html#a9e4b17238d8bd80bc0813d82c4211cbc">Commanders::printCommanders</a></div><div class="ttdeci">static void printCommanders()</div></div>
<div class="ttc" id="classCommanders_html_a4b8b1bb3a9cb5b419562ddca40471ab8"><div class="ttname"><a href="classCommanders.html#a4b8b1bb3a9cb5b419562ddca40471ab8">Commanders::printEvent</a></div><div class="ttdeci">static void printEvent(unsigned long inId, COMMANDERS_EVENT_TYPE inEventType, int inEventData)</div></div>
<div class="ttc" id="Events_8h_html_a347ec2e7ad5bc98b641a887ce34cc2ba"><div class="ttname"><a href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2ba">COMMANDERS_MOVE_TYPE</a></div><div class="ttdeci">COMMANDERS_MOVE_TYPE</div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00008">Events.h:8</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490ca4c6e59b277bf1f4430a136faab150a61"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490ca4c6e59b277bf1f4430a136faab150a61">COMMANDERS_EVENT_MOVEPOSITIONID</a></div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00032">Events.h:32</a></div></div>
<div class="ttc" id="classCommanders_html_a7adbe54da67e90e0d39b58d69ac3add0"><div class="ttname"><a href="classCommanders.html#a7adbe54da67e90e0d39b58d69ac3add0">Commanders::RaiseEvent</a></div><div class="ttdeci">static unsigned long RaiseEvent(unsigned long inId, COMMANDERS_EVENT_TYPE inEvent = COMMANDERS_EVENT_MOVEPOSITIONID, int inData = 0)</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8cpp_source.html#l00027">Commanders.cpp:27</a></div></div>
<div class="ttc" id="classCommanders_html_a86d58bbfa5487810b14973c1eb5d75bd"><div class="ttname"><a href="classCommanders.html#a86d58bbfa5487810b14973c1eb5d75bd">Commanders::StatusBlink</a></div><div class="ttdeci">static void StatusBlink()</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8cpp_source.html#l00018">Commanders.cpp:18</a></div></div>
<div class="ttc" id="classCommanders_html_a738b07e45ab42b267023aa41ced99794"><div class="ttname"><a href="classCommanders.html#a738b07e45ab42b267023aa41ced99794">Commanders::GetLastConfigAddress</a></div><div class="ttdeci">static uint8_t GetLastConfigAddress()</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00098">Commanders.hpp:98</a></div></div>
<div class="ttc" id="classCommanders_html_ac0885243a075244f75612900460d40ab"><div class="ttname"><a href="classCommanders.html#ac0885243a075244f75612900460d40ab">Commanders::SetLastEventData</a></div><div class="ttdeci">static void SetLastEventData(int inData)</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00093">Commanders.hpp:93</a></div></div>
<div class="ttc" id="classCommanders_html_a5594e42de65bbf0bff7065c2eaaa3c7e"><div class="ttname"><a href="classCommanders.html#a5594e42de65bbf0bff7065c2eaaa3c7e">Commanders::printEventType</a></div><div class="ttdeci">static void printEventType(COMMANDERS_EVENT_TYPE inEventType, bool inDataFollow)</div></div>
<div class="ttc" id="classCommanders_html_a5805415d6f7e358f1b26b34e59fe89ac"><div class="ttname"><a href="classCommanders.html#a5805415d6f7e358f1b26b34e59fe89ac">Commanders::SetLastEventType</a></div><div class="ttdeci">static void SetLastEventType(COMMANDERS_EVENT_TYPE inEvent)</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00089">Commanders.hpp:89</a></div></div>
<div class="ttc" id="classCommanders_html_a0187e8801676544eaa07439e3d2392ca"><div class="ttname"><a href="classCommanders.html#a0187e8801676544eaa07439e3d2392ca">Commanders::GetLastEventData</a></div><div class="ttdeci">static int GetLastEventData()</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00084">Commanders.hpp:84</a></div></div>
<div class="ttc" id="classCommanders_html_af67a26985403e912486b851e3b44a6d6"><div class="ttname"><a href="classCommanders.html#af67a26985403e912486b851e3b44a6d6">Commanders::printEventData</a></div><div class="ttdeci">static void printEventData(COMMANDERS_EVENT_TYPE inEventType, int inEventData)</div></div>
<div class="ttc" id="classCommanders_html_adfb7074f73b2259401dec5be4cfaa17d"><div class="ttname"><a href="classCommanders.html#adfb7074f73b2259401dec5be4cfaa17d">Commanders::GetLastEventType</a></div><div class="ttdeci">static COMMANDERS_EVENT_TYPE GetLastEventType()</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00080">Commanders.hpp:80</a></div></div>
<div class="ttc" id="classCommanders_html_a2153ff5a87528ef0701daa61cd8601a9"><div class="ttname"><a href="classCommanders.html#a2153ff5a87528ef0701daa61cd8601a9">Commanders::printEventMoveType</a></div><div class="ttdeci">static void printEventMoveType(COMMANDERS_MOVE_TYPE inMoveType)</div></div>
<div class="ttc" id="classCommanders_html_af717de804be2a30257ca52b987143cc3"><div class="ttname"><a href="classCommanders.html#af717de804be2a30257ca52b987143cc3">Commanders::loop</a></div><div class="ttdeci">static unsigned long loop()</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8cpp_source.html#l00124">Commanders.cpp:124</a></div></div>
<div class="ttc" id="classCommanders_html_a8fb31b11e8f389165cc61b1c8aed45f2"><div class="ttname"><a href="classCommanders.html#a8fb31b11e8f389165cc61b1c8aed45f2">Commanders::begin</a></div><div class="ttdeci">static void begin(CommandersEventHandlerFunction func, int inStatusLedPin = -1, unsigned int inBlinkDelay = 1000)</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00065">Commanders.hpp:65</a></div></div>
<div class="ttc" id="classCommanders_html_a2e7416f9f706ebccacefc4327d50fce4"><div class="ttname"><a href="classCommanders.html#a2e7416f9f706ebccacefc4327d50fce4">Commanders::begin</a></div><div class="ttdeci">static void begin(int inStatusLedPin = -1, unsigned int inBlinkDelay = 1000)</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00041">Commanders.hpp:41</a></div></div>
<div class="ttc" id="classCommanders_html_a8c5e99e96956bdbaf003b78355a6460b"><div class="ttname"><a href="classCommanders.html#a8c5e99e96956bdbaf003b78355a6460b">Commanders::BlinkDelay</a></div><div class="ttdeci">static unsigned int BlinkDelay</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00035">Commanders.hpp:35</a></div></div>
<div class="ttc" id="classCommanders_html_a56f9821ce0a39115f26313cbc3fb0870"><div class="ttname"><a href="classCommanders.html#a56f9821ce0a39115f26313cbc3fb0870">Commanders::StatusLedPin</a></div><div class="ttdeci">static GPIO_pin_t StatusLedPin</div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00033">Commanders.hpp:33</a></div></div>
<div class="ttc" id="classCommanders_html"><div class="ttname"><a href="classCommanders.html">Commanders</a></div><div class="ttdef"><b>Definition:</b> <a href="Commanders_8hpp_source.html#l00022">Commanders.hpp:22</a></div></div>
<div class="ttc" id="Events_8h_html_a36239a7eea6194f04e73e80d7419490c"><div class="ttname"><a href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a></div><div class="ttdeci">COMMANDERS_EVENT_TYPE</div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00025">Events.h:25</a></div></div>
<div class="ttc" id="Commanders_8h_html"><div class="ttname"><a href="Commanders_8h.html">Commanders.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>Commanders.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
